---
name: Bug report
about: Create a report to help us improve
title: "[BUG] "
labels: bug
assignees: ''
---

**Describe the bug**
A clear and concise description of what the bug is.

**To Reproduce**
Steps to reproduce the behavior:
1. Setup environment with '...'
2. Run code '...'
3. Execute function '...'
4. See error

**Expected behavior**
A clear and concise description of what you expected to happen.

**Code Sample**
If applicable, add a minimal code sample to reproduce the issue.

```python
# Your code here
```

**Environment (please complete the following information):**
 - OS: [e.g. macOS, Windows, Linux]
 - Python Version: [e.g. 3.8.10]
 - Package Version: [e.g. 0.1.0]
 - Model Used: [e.g. Claude 3 Opus, GPT-4o]

**Additional context**
Add any other context about the problem here, such as specific API settings or configurations.

**Stack Trace**
If applicable, include the full error stack trace.

```
Paste stack trace here
``` 