# Security Policy

## Reporting a Vulnerability

The Cursor Agent team takes security issues seriously. We appreciate your efforts to responsibly disclose your findings.

To report a security issue, please email hello@civai.co or contact [@usecodenaija](https://twitter.com/usecodenaija) on Twitter, or open a security-related issue on our [GitHub repository](https://github.com/civai-technologies/cursor-agent).

We will acknowledge your report within 48 hours and provide a more detailed response within 72 hours indicating the next steps in handling your submission.

## What to Include in Your Report

To help us better understand and address the issue, please include the following information in your report:

- Type of issue (e.g., buffer overflow, SQL injection, cross-site scripting, etc.)
- Full paths of source file(s) related to the issue
- The location of the affected source code (tag/branch/commit or direct URL)
- Any special configuration required to reproduce the issue
- Step-by-step instructions to reproduce the issue
- Proof-of-concept or exploit code (if possible)
- Impact of the issue, including how an attacker might exploit the issue

## Preferred Languages

We prefer all communications to be in English.

## Disclosure Policy

When we receive a security bug report, we will:

1. Confirm the problem and determine the affected versions
2. Audit code to find any potential similar problems
3. Prepare fixes for all releases still under maintenance
4. Release new versions and/or security patches

## Comments on This Policy

If you have suggestions on how this process could be improved, please submit a pull request or open an issue to discuss your ideas. 